Subject: Re: [PATCH 3/4] lock_ref_sha1_basic: simplify error code path

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Nov 2014 14:34:12 -0800

Jeff King <[email-masked]> writes:

> So we still have to keep the last_errno handling in error_return.
> Meaning that we need to drop patch 2 (even though the other cases don't
> need errno saved/restore, since the goto does it unconditionally, we
> still need to set last_errno). And therefore patch 1 is not helping
> anyone (we could still apply it, but there's no immediate benefit).
> ...
> So here is that patch, with my explanation. Thanks for your patience in
> my running around in circles. :)

My head has been spinning, but I think I can relax now ~@~ ;-)

> Subject: lock_ref_sha1_basic: do not die on locking errors

Will queue; thanks.